package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class MusicGroupQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "所属分部编号",required = false)
    private String organId;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "收费类型编号",required = false)
    private Integer chargeTypeId;

    @ApiModelProperty(value = "乐团状态",required = false)
    private String musicGroupStatus;

    @ApiModelProperty(value = "教务老师编号")
    private Integer educationalTeacherId;

    private MusicGroupStatusEnum status;

    public MusicGroupStatusEnum getStatus() {
        return status;
    }

    public void setStatus(MusicGroupStatusEnum status) {
        this.status = status;
    }

    public Integer getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public void setEducationalTeacherId(Integer educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public Integer getChargeTypeId() {
        return chargeTypeId;
    }

    public void setChargeTypeId(Integer chargeTypeId) {
        this.chargeTypeId = chargeTypeId;
    }

    public String getMusicGroupStatus() {
        return musicGroupStatus;
    }

    public void setMusicGroupStatus(String musicGroupStatus) {
        this.musicGroupStatus = musicGroupStatus;
    }
}
